Bug 149676 - Partially hidden and inconsistent display in Failover Domain Configuration dialog box
Partially hidden and inconsistent display in Failover Domain Configuration di...
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-24 18:30 EST by Paul Kennedy
Modified: 2015-04-19 20:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 15:46:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2005-02-24 18:30:46 EST
Description of problem:

At the the Failover Domain Configuration dialog box, in the "Member
Node|Priority" list, the priority column is mostly hidden. Even though
a horizontal scroll bar is available, the “Member Node|Priority" list
should at least show the full titles of the columns. User expectations
would be that the full name of each column is displayed.

When a node with a longer name is added to the “Member Node|Priority"
list, the "Priority" column heading is completely hidden (forced to
the right), requiring the user to either stretch the dialog box or
scroll to the right to see the priority level. Removing the longer
name from the list does not cause the "Priority" column to shrink back.

In addition, the Failover Domain Configuration dialog box gets wider
when a longer cluster node name is added to the cluster.

Version-Release number of selected component (if applicable):
system-config-cluster-0.9.5-1.0


Steps to Reproduce:
1.  Create cluster nodes "tng3-1", "tng3-2", and "tng3-3".
2.  Navigate: Cluster -> Managed Resources -> Failover Domains ->  
    Add a Failover Domain Properties. 
3.  At the Add a Failover Domain dialog box, enter "foo" and click
    "OK".
4.  At the Failover Domain Configuration dialog box, add cluster
    nodes "tng3-1", "tng3-2", and "tng3-3" to the failover domain.
5.  Observe the "Member Node|Priority" list and the width of the
    Failover Domain Configuration dialog box.
6.  At the Failover Domain Configuration dialog box, click "Close".
7.  Create a cluster node with a longer name:
   "my-server-02.lab.msp.redhat.com"
8.  Navigate: Cluster -> Managed Resources -> Failover Domains ->
    foo -> Edit Failover Domain Properties.
9.  Observe at the Failover Domain Configuration dialog box, the
    "Member Node|Priority" list and the width of the dialog box.
    Then, add the cluster node "my-server-02.lab.msp.redhat.com"
    to the "foo" failover domain.
10. Observe the "Member Node|Priority" list and the width of the
    Failover Domain Configuration dialog box. 
11. Remove the node "my-server-02.lab.msp.redhat.com" from the "foo"
    failover domain.
12. Observe the "Member Node|Priority" list.
  
Actual results:

For step 5, the "Priority" column is almost completely hidden, showing
only part of the "P" of the column name "Priority".

For step 9, more of the "Priority" column is revealed and the Failover
Domain Configuration dialog box is wider by about 3/4". In addition,
the "Available Cluster Nodes" drop-down button is wider.

For step 10, the "Priority" column is completely hidden and the
"Available Cluster Nodes" drop-down button is narrower. The Domain
Configuration dialog box does not reduce in width.

For step 12, the "Priority" column remains completely hidden and the
"Available Cluster Nodes" drop-down button is wider.

Expected results:
The columns should be completely visible. The cluster node names and
the priority levels should be completely visible. The Domain
Configuration dialog box should remain the same size.
Comment 1 Jim Parsons 2005-03-01 13:06:35 EST
will fix
Comment 2 Jim Parsons 2005-03-14 23:29:57 EST
Column names are now visible, and size of widget area is generally
good for this panel. The only thing not addressed here is the issue
when a very long node name appears in the tree; but this problem will
be addressed when size limit to node names is implemented for bz 149436
Comment 3 Corey Marthaler 2005-04-20 15:46:55 EDT
fix verified, although in the case of a really long node name, the user has to
widen the window or scroll to see the priority column, but good enough for this
version.

Note You need to log in before you can comment on or make changes to this bug.